<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/module/gdata.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">gdata.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="gdata_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef GDATA_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define GDATA_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// DEFINE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="gdata_8hpp.html#a8fe83ac76edc595f6b98cd4a4127aed5">   21</a></span>&#160;<span class="preprocessor">#define ERROR 1</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;librsvg-2.0/librsvg/rsvg.h&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;gtk-3.0/gtk/gtk.h&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// STRUCT</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="structglobal__data.html">   50</a></span>&#160;<span class="comment"></span><span class="keyword">struct </span><a class="code" href="structglobal__data.html">global_data</a> {</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="structglobal__data.html#a5286e964937343115aebb48fd116c004">   51</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structglobal__data.html#a5286e964937343115aebb48fd116c004">filepath</a>;                       </div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="structglobal__data.html#a4fb4fc96f3ea35e2107f728faa010530">   52</a></span>&#160;    GtkWidget *<a class="code" href="structglobal__data.html#a4fb4fc96f3ea35e2107f728faa010530">window</a>;                          </div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="structglobal__data.html#af6104ca34e17809883bd4549474bbdb7">   53</a></span>&#160;    GtkWidget *<a class="code" href="structglobal__data.html#af6104ca34e17809883bd4549474bbdb7">draw_area</a>;                       </div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">   54</a></span>&#160;    RsvgHandle *<a class="code" href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">svg_handle</a>;                     </div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="structglobal__data.html#abd8359b2412e180a4aede926ba81a3ec">   55</a></span>&#160;    XMLDocument *<a class="code" href="structglobal__data.html#abd8359b2412e180a4aede926ba81a3ec">svg_document</a>;                  </div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="structglobal__data.html#ac43f1ea601c065459114c70089e43d57">   56</a></span>&#160;    map&lt;string, XMLElement*&gt; *<a class="code" href="structglobal__data.html#ac43f1ea601c065459114c70089e43d57">svg_driven</a>;       </div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="structglobal__data.html#a1e4c98265125000c3e1d9b9d5505624a">   57</a></span>&#160;    map&lt;string, string&gt; *<a class="code" href="structglobal__data.html#a1e4c98265125000c3e1d9b9d5505624a">client_data</a>;           </div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="structglobal__data.html#a5aeb1d5c8a59ecd3c81742763c2c4089">   58</a></span>&#160;    map&lt;string, pthread_t*&gt; *<a class="code" href="structglobal__data.html#a5aeb1d5c8a59ecd3c81742763c2c4089">parseur_threads</a>;   </div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="structglobal__data.html#a34a4b1f3b213efc91ac33ce1754412b1">   59</a></span>&#160;    <span class="keywordtype">int</span> *<a class="code" href="structglobal__data.html#a34a4b1f3b213efc91ac33ce1754412b1">error</a>;                                 </div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;};</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structglobal__data_html_a29f5422d00442f4cf611cc55b2f094ff"><div class="ttname"><a href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">global_data::svg_handle</a></div><div class="ttdeci">RsvgHandle * svg_handle</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00054">gdata.hpp:54</a></div></div>
<div class="ttc" id="structglobal__data_html_a34a4b1f3b213efc91ac33ce1754412b1"><div class="ttname"><a href="structglobal__data.html#a34a4b1f3b213efc91ac33ce1754412b1">global_data::error</a></div><div class="ttdeci">int * error</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00059">gdata.hpp:59</a></div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="structglobal__data_html_a1e4c98265125000c3e1d9b9d5505624a"><div class="ttname"><a href="structglobal__data.html#a1e4c98265125000c3e1d9b9d5505624a">global_data::client_data</a></div><div class="ttdeci">map&lt; string, string &gt; * client_data</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00057">gdata.hpp:57</a></div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="structglobal__data_html"><div class="ttname"><a href="structglobal__data.html">global_data</a></div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00050">gdata.hpp:50</a></div></div>
<div class="ttc" id="structglobal__data_html_ac43f1ea601c065459114c70089e43d57"><div class="ttname"><a href="structglobal__data.html#ac43f1ea601c065459114c70089e43d57">global_data::svg_driven</a></div><div class="ttdeci">map&lt; string, XMLElement * &gt; * svg_driven</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00056">gdata.hpp:56</a></div></div>
<div class="ttc" id="structglobal__data_html_abd8359b2412e180a4aede926ba81a3ec"><div class="ttname"><a href="structglobal__data.html#abd8359b2412e180a4aede926ba81a3ec">global_data::svg_document</a></div><div class="ttdeci">XMLDocument * svg_document</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00055">gdata.hpp:55</a></div></div>
<div class="ttc" id="structglobal__data_html_a5286e964937343115aebb48fd116c004"><div class="ttname"><a href="structglobal__data.html#a5286e964937343115aebb48fd116c004">global_data::filepath</a></div><div class="ttdeci">const char * filepath</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00051">gdata.hpp:51</a></div></div>
<div class="ttc" id="structglobal__data_html_a5aeb1d5c8a59ecd3c81742763c2c4089"><div class="ttname"><a href="structglobal__data.html#a5aeb1d5c8a59ecd3c81742763c2c4089">global_data::parseur_threads</a></div><div class="ttdeci">map&lt; string, pthread_t * &gt; * parseur_threads</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00058">gdata.hpp:58</a></div></div>
<div class="ttc" id="structglobal__data_html_a4fb4fc96f3ea35e2107f728faa010530"><div class="ttname"><a href="structglobal__data.html#a4fb4fc96f3ea35e2107f728faa010530">global_data::window</a></div><div class="ttdeci">GtkWidget * window</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00052">gdata.hpp:52</a></div></div>
<div class="ttc" id="structglobal__data_html_af6104ca34e17809883bd4549474bbdb7"><div class="ttname"><a href="structglobal__data.html#af6104ca34e17809883bd4549474bbdb7">global_data::draw_area</a></div><div class="ttdeci">GtkWidget * draw_area</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00053">gdata.hpp:53</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
